Bug 214498 - Support native deployment in JDK 7u6 / FX SDK 2.2
Support native deployment in JDK 7u6 / FX SDK 2.2
Status: RESOLVED FIXED
Product: javafx
Classification: Unclassified
Component: Deployment
7.3
PC Windows 7
: P2 (vote)
: 7.3
Assigned To: Petr Somol
issues@javafx
:
Depends on:
Blocks: 199283 204758
  Show dependency treegraph
 
Reported: 2012-06-20 10:41 UTC by Petr Somol
Modified: 2013-04-02 12:00 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Somol 2012-06-20 10:41:37 UTC
Next NB should explicitly support the new native deployment options that come with FX SDK 2.2 as part of JDK 7u6. For more details see:
https://blogs.oracle.com/talkingjavadeployment/entry/native_packaging_for_javafx
Comment 1 Petr Somol 2012-07-31 15:12:29 UTC
fixed in jetmain:
http://hg.netbeans.org/jet-main/rev/1248a25ee01c

Notes:
- the changeset above adds native packaging related UI elements to Project Properties dialog, Deployment panel. With native packaging enabled and with correct setup (see below), the build process creates subdirectory dist/bundles/ with the various forms of native binaries.
- when native packaging is enabled without sufficient FX SDK, a warning appears during build instructing to update FX installation
- I have discovered that current <fx:deploy> task assumes to have been invoked by JDK 7u6 java; it checks existence of lib/jfxrt.jar under the currently running runtime. Thus it bypasses NB definition of FX-enabled Java Platforms. In order to create native bundles it is therefore necessary to run NB itself on JDK 7u6. A warning is issued about this fact during build.
- on Windows the native packager produces only limited output unless external tools have been installed (Inno 5+, WiX 3.0+). Moreover, these tools need to be manually added to system PATH, otherwise <fx:deploy> task does not find them.
- because native bundling is quite a lengthy process, it is bypassed during project Run/Debug/Profile, where the native binaries are not used anyway. For native packaging it is necessary to invoke explicit Build or Clean and Build action.

For more information about native packaging see:
https://blogs.oracle.com/talkingjavadeployment/entry/native_packaging_for_javafx
Comment 2 Quality Engineering 2012-08-02 02:32:31 UTC
Integrated into 'main-golden', will be available in build *201208020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1248a25ee01c
User: Petr Somol <psomol@netbeans.org>
Log: #214498 - Support native deployment in JDK 7u6 / FX SDK 2.2
Comment 3 Petr Somol 2012-09-14 12:59:07 UTC
to improve usability, added conditional project action, missing tool warnings, pre- and post- targets:
http://hg.netbeans.org/jet-main/rev/2ef265ee9ec8
Comment 4 Petr Somol 2012-09-14 13:04:40 UTC
propagate latest changes to samples:
http://hg.netbeans.org/jet-main/rev/9ecac6745f60
Comment 5 Quality Engineering 2012-09-16 02:07:55 UTC
Integrated into 'main-golden', will be available in build *201209160001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2ef265ee9ec8
User: Petr Somol <psomol@netbeans.org>
Log: #214498 JavaFX native deployment: added conditional project action, tooling tests, pre- and post- targets
Comment 6 Petr Somol 2012-09-17 08:45:45 UTC
(In reply to comment #3)
> to improve usability, added conditional project action, missing tool warnings,
> pre- and post- targets:
> http://hg.netbeans.org/jet-main/rev/2ef265ee9ec8

jlahoda fixed a problem introduced by the above changeset - it failed to compile on pre-6u23 javac due to trailing comma:
http://hg.netbeans.org/main-silver/rev/17e172c592b9
Thanks, P.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo